### Signal

# Qrtr Node::service-removed

since: 1.0

#### Declaration

    void
    service_removed (
      QrtrNode* self,
      guint service,
      gpointer user_data
    )

#### Description [src]

The ::service-removed signal is emitted when a service deregisters from the QRTR node.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.0

#### Parameters

`service`

  Type: `guint`

  The service ID of the service that was removed.